#ifndef KNTV_H
#define KNTV_H

#include <ktopwidget.h>
#include <qslider.h>
#include <qevent.h>

class Kntv : public KTopLevelWidget
{
  Q_OBJECT
  
  public:
  	Kntv();
  	~Kntv();
  	void MoveVidcapWindow(int x, int y);
  	void setSource(int id);
  	void setVolume(int mixer_id, int volume);
  	void closeEvent(QCloseEvent *e);
  	void moveEvent(QMoveEvent *e);
  	void resizeEvent(QResizeEvent *e); 
  	
  public slots:
  	void volChangeCallback(int v);
  	
  private:
	QSlider *volSlider;
};

#endif // KNTV_H
